﻿using Hotline.Caching.Interfaces;
using Hotline.Caching.Services;
using Shouldly;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Tests.Application;
public class SystemSettingCacheManagerTest
{
    private readonly ISystemSettingCacheManager _systemSettingCacheManager;

    public SystemSettingCacheManagerTest(ISystemSettingCacheManager systemSettingCacheManager)
    {
        _systemSettingCacheManager = systemSettingCacheManager;
    }

    [Fact]
    public void CancelPublishOrderEnabled_Test()
    {
        var result = _systemSettingCacheManager.CancelPublishOrderEnabled;
        result.ShouldBeTrue();
        var seconds = _systemSettingCacheManager.VisitCallDelaySecond;
        seconds.ShouldBe(60);
    }
}
